#
# spec file for package octave-forge-gsl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  gsl
Name:           octave-forge-%{octpkg}
Version:        2.1.1
Release:        bp154.1.37
Summary:        Octave bindings to the GNU Scientific Library
License:        GPL-2.0-or-later AND GPL-3.0-or-later
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  gsl-devel
BuildRequires:  octave-devel
Requires:       octave-cli

%description
Octave bindings to the GNU Scientific Library.
This is part of the Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Wed Jul 18 2018 badshah400@gmail.com
- Update to version 2.1.1:
  * Octave 4.4 compatibility fixes (remove deprecation warnings)
* Mon Aug 21 2017 dmitry_r@opensuse.org
- Update to version 2.1.0
  * Minor changes, see `news gsl` for details
* Thu Nov 24 2016 dmitry_r@opensuse.org
- Initial package, version 2.0.0
